A valid request URL is required to generate request examples{
"query": "<string>",
"suggestionGroups": [
{
"name": "<string>",
"suggestions": [
{
"suggestion": "<unknown>",
"suggestionType": "<string>"
}
]
}
]
}Suggests possible search terms as the shopper enters search text. In Unified Commerce, a Suggest2 API exists that returns results based on the returnFields option defined in the search settings. The same request structure and response as documented here is supported by both the /suggest and /suggest2 API endpoints, so either one can be used for this purpose with the same data.
A valid request URL is required to generate request examples{
"query": "<string>",
"suggestionGroups": [
{
"name": "<string>",
"suggestions": [
{
"suggestion": "<unknown>",
"suggestionType": "<string>"
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
Use this file to discover all available pages before exploring further.
JWT Authorization header using the Bearer scheme.
Comma delimited list of suggestion groups that should be returned. The default is everything
Indicates the maximum number of entities to return from a query. The default value is 10 and the maximum value is 200. Optional.
limits which fields are returned in the response body